using System;

using KnownObjects;
using Belikov.GenuineChannels;

namespace Client
{
	/// <summary>
	/// NicknameProvider.
	/// </summary>
	public class NicknameProvider : MarshalByRefObject, IAskNickname
	{
		/// <summary>
		/// Constructs NicknameProvider instance.
		/// </summary>
		/// <param name="nickname"></param>
		public NicknameProvider(string nickname)
		{
			this._nickname = nickname;
		}

		private string _nickname;

		/// <summary>
		/// Returns a nickname of the current instance.
		/// </summary>
		/// <returns>The nickname.</returns>
		public string GetNickname()
		{
			return this._nickname;
		}

		/// <summary>
		/// This is to insure that when created as a Singleton, the first instance never dies,
		/// regardless of the expired time.
		/// </summary>
		/// <returns></returns>
		public override object InitializeLifetimeService()
		{
			return null;
		}
	}
}
