using System;
using System.Runtime.Remoting.Messaging;

namespace KnownObjects
{
	/// <summary>
	/// Describes a callback called when a message is received.
	/// </summary>
	public interface IMessageReceiver
	{
		/// <summary>
		/// Is called by the server when a message is accepted.
		/// </summary>
		/// <param name="message">A message.</param>
		object ReceiveMessage(string message);
	}

	/// <summary>
	/// Provides a possibility to ask a nickname of the remote host.
	/// </summary>
	public interface IAskNickname
	{
		/// <summary>
		/// Returns a nickname of the current instance.
		/// </summary>
		/// <returns>The nickname.</returns>
		string GetNickname();
	}
}
